#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <mysql.h>
#include "cgiutils.h"

#define LF 10
#define CR 13

const char *URL = "http://192.168.130.2:8080";
const char *URLS = "https://192.168.130.2:8080";

void db_close(MYSQL *);

char MsgText[150];
char curbuff[25], date_buff[12], time_buff[10];

char *make_date(char *buf)
{
 curbuff[0] = buf[8];
 curbuff[1] = buf[9];
 curbuff[2] = 46;
 curbuff[3] = buf[5];
 curbuff[4] = buf[6];
 curbuff[5] = 46;
 curbuff[6] = buf[0];
 curbuff[7] = buf[1];
 curbuff[8] = buf[2];
 curbuff[9] = buf[3];
 curbuff[10] = 0;
 
 return curbuff;
}

char *mysql_date(time_t t)
{
 struct tm *tp;

 tp = localtime(&t);
 sprintf(date_buff, "%04d/%02d/%02d", tp->tm_year + 1900, tp->tm_mon + 1, tp->tm_mday);
 return date_buff;
}

char *mysql_time(time_t t)
{
 struct tm *tp;
 
 tp = localtime(&t);
 sprintf(time_buff, "%02d:%02d:%02d", tp->tm_hour, tp->tm_min, tp->tm_sec);
 return time_buff;
}

void report (char *msg)
{
 FILE *LogFile;
 time_t t;
 struct tm *tp;
 char bufd[15];
 char buft[10];

 time (&t);
 tp= localtime(&t);
 sprintf (bufd,"%02d-%02d-%04d",tp->tm_mday,tp->tm_mon+1,tp->tm_year+1900);
 sprintf (buft,"%02d:%02d",tp->tm_hour,tp->tm_min);

 if((LogFile= fopen("../ricomtrust/logs/error.log","a")) == NULL)
   return;
 else
 {
  fprintf(LogFile,"%s %s  ", bufd, buft);
  fprintf(LogFile,"%s", msg);
  if(strchr(msg, '\n') == NULL)
    fprintf(LogFile, "\n");
  fclose(LogFile);
 }
}

void SendQuery(MYSQL *cnum, char *qstring)
{
 int i, id;
 char qbuf[2000], buf[2000], *ps, *pt;
 MYSQL_RES *lres;
 MYSQL_ROW lr;
 time_t t;

return;

 sprintf(buf, "select ifnull(max(qid),0) from outbox");
 if(mysql_query(cnum, buf) != 0)
  report(mysql_error(cnum));
 else
 {
  lres = mysql_store_result(cnum);
  if(mysql_num_rows(lres) != 0)
  {
   lr = mysql_fetch_row(lres);
   id = atoi(lr[0]) + 1;
  }
  mysql_free_result(lres);
 }
 ps = qstring;
 pt = buf;
 while(*ps)
 {
  if(*ps == 39)
   *pt++ = 92;
  *pt++ = *ps++;
 }
 *pt = 0;
 time(&t);
 for(i = 0; i < 5; i++)
 {
  sprintf(qbuf, "insert into outbox values(%d,'%s',0,'%s','%s')", id, buf, mysql_date(t), mysql_time(t));
  if(mysql_query(cnum, qbuf) != 0)
  {
   report(qbuf);
   report(mysql_error(cnum));
   id++;
  }
  else
   break;
 }
}

void DrawTop(char *id, int num)
{
 printf("<html><head><title> </title>\n");
 printf("<meta http-equiv=\"Content-Type\" content=\"text/html\">\n");
 printf("<base target=\"main\">\n</head>\n");
 printf("<LINK href=\"/ishop.css\" rel=\"stylesheet\" type=\"text/css\">");
 printf("<body bgcolor=\"#ffffff\">\n");
 printf("<center>\n<br>\n<table border=0 cellpadding=0 cellspacing=0 width=640>\n");
 printf("<tr><td>\n<table width=640 border=0 cellspacing=0 cellpadding=0>\n");
 printf("<tr><td colspan=2 bgcolor=\"#7C7C7C\">\n<img src=\"../images/pixel.gif\" width=637 height=1 alt=\"\" border=0></td></tr>\n");
 printf("<tr><td bgcolor=white><img src=\"../images/pixel.gif\" width=636 height=1 alt=\"\" border=0></td>\n");
 printf("<td bgcolor=\"#7c7c7c\"><img src=\"../images/pixel.gif\" alt=\"\" width=1 height=1 border=0></td></tr>\n");
 printf("<tr><td colspan=2>\n<table width=640 border=0 cellpadding=0 cellspacing=0 bgcolor=\"#333333\">\n<tr align=center>\n");
 printf("<td width=1 bgcolor=\"#7c7c7c\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=66 class=menubar");
 if(num == 1) printf("On");
 printf("><a href=\"%s/RicomTrust/Portfolio?ID=%s\"><font class=menubar", URLS, id);
 if(num == 1) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=114 class=menubar");
 if(num == 2) printf("On");
 printf("><a href=\"%s/RicomTrust/Order?ID=%s&EXT=0\"><font class=menubar", URLS, id);
 if(num == 2) printf("On");
 printf("> </font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=74 class=menubar");
 if(num == 3) printf("On");
 printf("><a href=\"%s/RicomTrust/DispOrders?ID=%s\"><font class=menubar", URLS, id);
 if(num == 3) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=50 class=menubar");
 if(num == 4) printf("On");
 printf("><a href=\"%s/RicomTrust/DispTrans?ID=%s\"><font class=menubar", URLS, id);
 if(num == 4) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=106 class=menubar");
 if(num == 5) printf("On");
 printf("><a href=\"%s/RicomTrust/MoneyOrder?ID=%s\"><font class=menubar", URLS, id);
 if(num == 5) printf("On");
 printf("> </font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=42 class=menubar");
 if(num == 6) printf("On");
 printf("><a href=\"%s/RicomTrust/Post?ID=%s\"><font class=menubar", URLS, id);
 if(num == 6) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=74 class=menubar");
 if(num == 7) printf("On");
 printf("><a href=\"%s/RicomTrust/ShowKotir?ID=%s\"><font class=menubar", URLS, id);
 if(num == 7) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=58 class=menubar");
 if(num == 8) printf("On");
 printf("><a href=\"%s/RicomTrust/Alerts?ID=%s\"><font class=menubar", URLS, id);
 if(num == 8) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=44 class=menubar");
 if(num == 9) printf("On");
 printf("><a href=\"%s/ishop/index.shtml\" target=_top><font class=menubar", URL);
 if(num == 9) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("</tr>\n</table>\n</td></tr>\n");
 printf("<tr><td bgcolor=\"#000000\" colspan=2><img src=\"../images/pixel.gif\" width=640 height=1 border=0 alt=\"\"></td></tr>\n");
 printf("<tr><td bgcolor=\"#000000\" colspan=2><img src=\"../images/pixel.gif\" width=640 height=1 border=0 alt=\"\"></td></tr>\n");
 printf("</table></td></tr>\n<tr><td>\n");
 printf("<table border=0 cellpadding=0 cellspacing=0 width=640><tr>\n");
 printf("<td bgcolor=\"#ffffff\" class=gen><br>\n");
}

void DrawBottom(char *id, int num)
{
 printf("</td></tr>\n</table>\n</td></tr>\n");
 printf("<tr><td><img src=\"../images/pixel.gif\" width=640 height=8 border=0></td></tr>\n");
 printf("<tr><td>\n<table width=640 border=0 cellspacing=0 cellpadding=0>\n");
 printf("<tr><td colspan=2 bgcolor=\"#7C7C7C\">\n<img src=\"../images/pixel.gif\" width=637 height=1 alt=\"\" border=0></td></tr>\n");
 printf("<tr><td bgcolor=white><img src=\"../images/pixel.gif\" width=636 height=1 alt=\"\" border=0></td>\n");
 printf("<td bgcolor=\"#7c7c7c\"><img src=\"../images/pixel.gif\" alt=\"\" width=1 height=1 border=0></td></tr>\n");
 printf("<tr><td colspan=2>\n<table width=640 border=0 cellpadding=0 cellspacing=0 bgcolor=\"#333333\">\n<tr align=center>\n");
 printf("<td width=1 bgcolor=\"#7c7c7c\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=66 class=menubar");
 if(num == 1) printf("On");
 printf("><a href=\"%s/RicomTrust/Portfolio?ID=%s\"><font class=menubar", URLS, id);
 if(num == 1) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=114 class=menubar");
 if(num == 2) printf("On");
 printf("><a href=\"%s/RicomTrust/Order?ID=%s&EXT=0\"><font class=menubar", URLS, id);
 if(num == 2) printf("On");
 printf("> </font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=74 class=menubar");
 if(num == 3) printf("On");
 printf("><a href=\"%s/RicomTrust/DispOrders?ID=%s\"><font class=menubar", URLS, id);
 if(num == 3) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=50 class=menubar");
 if(num == 4) printf("On");
 printf("><a href=\"%s/RicomTrust/DispTrans?ID=%s\"><font class=menubar", URLS, id);
 if(num == 4) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=106 class=menubar");
 if(num == 5) printf("On");
 printf("><a href=\"%s/RicomTrust/MoneyOrder?ID=%s\"><font class=menubar", URLS, id);
 if(num == 5) printf("On");
 printf("> </font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=42 class=menubar");
 if(num == 6) printf("On");
 printf("><a href=\"%s/RicomTrust/Post?ID=%s\"><font class=menubar", URLS, id);
 if(num == 6) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=74 class=menubar");
 if(num == 7) printf("On");
 printf("><a href=\"%s/RicomTrust/ShowKotir?ID=%s\"><font class=menubar", URLS, id);
 if(num == 7) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=58 class=menubar");
 if(num == 8) printf("On");
 printf("><a href=\"%s/RicomTrust/Alerts?ID=%s\"><font class=menubar", URLS, id);
 if(num == 8) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=44 class=menubar");
 if(num == 9) printf("On");
 printf("><a href=\"%s/ishop/index.shtml\" target=_top><font class=menubar", URL);
 if(num == 9) printf("On");
 printf("></font></A></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("</tr>\n</table>\n</td></tr>\n");
 printf("<tr><td bgcolor=\"#000000\" colspan=2><img src=\"../images/pixel.gif\" width=640 height=1 border=0 alt=\"\"></td></tr>\n");
 printf("<tr><td bgcolor=\"#000000\" colspan=2><img src=\"../images/pixel.gif\" width=640 height=1 border=0 alt=\"\"></td></tr>\n");
 printf("</table></td></tr>\n");
 printf("</table>\n</center>\n</body>\n</html>\n");
}

void Error(char *errmsg)
{
 printf("<html><head><title></title>\n<meta http-equiv=\"Content-Type\" content=\"text/html\">\n");
 printf("<base target=_top>\n</head>\n");
 printf("<LINK href=\"/main.css\" rel=\"stylesheet\" type=\"text/css\">");
 printf("<body link=\"#005555\" vlink=\"#005555\" alink=\"#005555\" bgcolor=\"#ffffff\">\n");
 printf("<center>\n<TABLE border=0 cellpadding=0 cellspacing=0 width=640>\n<tr><td>\n");
 printf("<TABLE border=0 cellpadding=0 cellspacing=0 width=640>\n");
 printf("<tr><td rowspan=4><img src=\"../images/rtlogo0.gif\" width=75 height=64 border=0 alt=\"Ricom-Trust Logo\"></td>\n");
 printf("<td colspan=2><img src=\"../images/line.gif\" width=565 height=3 border=0></td></tr>\n");
 printf("<tr><td colspan=2><img src=\"../images/pixel.gif\" width=565 height=10 border=0></td></tr>\n");
 printf("<tr><td rowspan=2 valign=top><img src=\"../images/rtrust.gif\" width=280 height=34 border=0 alt=\"-\"></td>\n");
 printf("<td valign=top align=right><img src=\"../images/intmag.gif\" width=284 height=24 border=0 alt=\"-\"></td>\n");
 printf("<tr><td align=right valign=top>\n<TABLE border=0 CELLSPACING=0 CELLPADDING=0 BGCOLOR=\"#99cccc\">\n");
 printf("<tr><td bgcolor=black colspan=4><img src=\"../images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\"></td></tr>\n");
 printf("<tr><td bgcolor=black width=1><img src=\"../images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\"></td>\n");
 printf("<td><a href=\"/RicomTrust/ShowMessages\"><font class=toolbar>&nbsp;&nbsp;&nbsp;&nbsp;</FONT></a></td>\n");
 printf("<td><a href=\"/english/\"><font class=toolbar>|&nbsp;&nbsp;English&nbsp;&nbsp;</FONT></a></td>\n");
 printf("<td bgcolor=black width=1><img src=\"../images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\"></td></tr>\n");
 printf("<tr><td bgcolor=black colspan=4><img src=\"../images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\"></td></tr>\n");
 printf("</TABLE>\n</td></tr>\n</TABLE></td></tr>\n<tr><td>\n");
 printf("<TABLE WIDTH=640 BORDER=0 CELLSPACING=0 CELLPADDING=0 id=remove>\n");
 printf("<tr><td colspan=2 bgcolor=\"#7C7C7C>\"\n");
 printf("<img src=\"../images/pixel.gif\" width=637 height=1 alt=\"\" border=0></td></tr>\n");
 printf("<tr><td bgcolor=white><img src=\"../images/pixel.gif\" width=636 height=1 alt=\"\" border=0></td>\n");
 printf("<td bgcolor=\"#7c7c7c\"><img src=\"../images/pixel.gif\" alt=\"\" width=1 height=1 border=0></td></tr>\n");
 printf("<tr><td colspan=2>\n<TABLE width=640 border=0 cellpadding=0 cellspacing=0 bgcolor=\"#333333\"><tr align=center>\n");
 printf("<td WIDTH=1 BGCOLOR=\"#7c7c7c\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td WIDTH=1 BGCOLOR=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15 border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/index.shtml\"><font class=menubar> </font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/registp.html\"><font class=menubar></font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/regl.html\"><font class=menubar></font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/game.html\"><font class=menubar>-</font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/\"><font class=menubar> </font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=1 bgcolor=\"#000000\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("</tr>\n</TABLE>\n</td></tr>\n");
 printf("<tr><td bgcolor=\"#000000\" colspan=2><img src=\"../images/pixel.gif\" width=640 height=1  border=0 alt=\"\"></td></tr>\n");
 printf("<tr><td bgcolor=\"#000000\" colspan=2><img src=\"../images/pixel.gif\" width=640 height=1  border=0 alt=\"\"></td>\n");
 printf("</tr></TABLE></td></tr>\n<tr><td>\n");
 printf("<form action=\"%s/RicomTrust/InternetShop\" method=POST>\n", URLS);
 printf("<TABLE border=0 cellpadding=0 cellspacing=0 width=640 bgcolor=\"#ffffff\">\n<tr>\n");
 printf("<td><img src=\"../images/pixel.gif\" width=105 height=1 border=0 alt=\"\"></td>\n");
 printf("<td><img src=\"../images/pixel.gif\" width=70  height=1 border=0 alt=\"\"></td>\n");
 printf("<td><img src=\"../images/pixel.gif\" width=100 height=1 border=0 alt=\"\"></td>\n");
 printf("<td><img src=\"../images/pixel.gif\" width=65  height=1 border=0 alt=\"\"></td>\n");
 printf("<td><img src=\"../images/pixel.gif\" width=102 height=1 border=0 alt=\"\"></td>\n");
 printf("<td><img src=\"../images/pixel.gif\" width=38  height=1 border=0 alt=\"\"></td>\n");
 printf("</tr>\n<tr><td class=loginbig align=left>&nbsp;&nbsp;-</td>\n<td align=right class=login>&nbsp;:&nbsp;&nbsp;</td>\n");
 printf("<td><input type=text name=number size=10></td>\n<td align=right class=login>:&nbsp;&nbsp;</td>\n");
 printf("<td><input type=password name=passwd size=10></td>\n<td align=right>\n");
 printf("<input type=image name=Logon src=\"../images/buttonlog.gif\" width=66 height=25 border=0 alt=\"\">\n");
 printf("</td></tr>\n<tr><td colspan=6><img src=\"../images/line.gif\" width=640 height=3 border=0></td></tr>\n");
 printf("<tr><td colspan=6><img src=\"../images/pixel.gif\" width=640 height=5 border=0></td></tr>\n");
 printf("</TABLE>\n</form>\n</td></tr>\n");
 printf("<tr><td><img src=\"../images/pixel.gif\" width=640 height=5 border=0></td></tr>\n<tr><td>\n");
 printf("<table border=0 cellpadding=0 cellspacing=0 width=640><tr>\n<td bgcolor=\"#ffffff\" class=gen>\n");
 printf("<p align=CENTER><FONT SIZE = 5 COLOR=\"#FF0000\"><B><BR>\n\n<BR><BR>\n%s\n", errmsg);
 printf("</FONT><BR><BR><HR SIZE=4 WIDTH=100%%>\n\n");
 printf("<BR>       <A HREF=\"mailto:webmaster@ricom.ru\">webmaster@ricom.ru</A>\n</p>\n");
 printf("</td></tr><tr><td>&nbsp;</td></tr>\n</table>\n</td></tr>\n");
 printf("<tr><td><img src=\"../images/pixel.gif\" width=640 height=8 border=0></td></tr>\n<tr><td>\n");
 printf("<TABLE WIDTH=640 BORDER=0 CELLSPACING=0 CELLPADDING=0 id=remove>\n<tr align=center>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/index.shtml\"><font class=menubar> </font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/registp.html\"><font class=menubar></font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/regl.html\"><font class=menubar></font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/ishop/game.html\"><font class=menubar>-</font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("<td width=127 class=menubar><a href=\"%s/\"><font class=menubar> </font></A></td>\n", URL);
 printf("<td width=1 bgcolor=\"#ffffff\"><img src=\"../images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n");
 printf("</tr></TABLE></td></tr>\n</TABLE>\n</center>\n</body>\n</html>\n");
 if(!strstr(errmsg, " ."))
  report(errmsg);
 exit(1);
}

void DBError(MYSQL *conn)
{
 sprintf(MsgText, " : %s", mysql_error(conn));
 db_close(conn);
 Error(MsgText);
}

MYSQL db_init(char *db)
{
 MYSQL conn;

 if(!(mysql_connect(&conn, "localhost", NULL, NULL)))
  DBError(&conn);
 if(mysql_select_db(&conn, db)) DBError(&conn);
 return conn;
}

void db_close(MYSQL *conn)
{
 mysql_close(conn);
} 

void getword(char *word, char *line, char stop) {
    int x = 0,y;

    for(x=0;((line[x]) && (line[x] != stop));x++)
	word[x] = line[x];

    word[x] = '\0';
    if(line[x]) ++x;
    y=0;

    while(line[y++] = line[x++]);
}

char *makeword(char *line, char stop) {
    int x = 0,y;
    char *word = (char *) malloc(sizeof(char) * (strlen(line) + 1));

    for(x=0;((line[x]) && (line[x] != stop));x++)
	word[x] = line[x];

    word[x] = '\0';
    if(line[x]) ++x;
    y=0;

    while(line[y++] = line[x++]);
    return word;
}

char *fmakeword(FILE *f, char stop, int *cl) {
    int wsize;
    char *word;
    int ll;

    wsize = 102400;
    ll=0;
    word = (char *) malloc(sizeof(char) * (wsize + 1));

    while(1) {
	word[ll] = (char)fgetc(f);
	if(ll==wsize) {
	    word[ll+1] = '\0';
	    wsize+=102400;
	    word = (char *)realloc(word,sizeof(char)*(wsize+1));
	}
	--(*cl);
	if((word[ll] == stop) || (feof(f)) || (!(*cl))) {
	    if(word[ll] != stop) ll++;
	    word[ll] = '\0';
	    word = (char *) realloc(word, ll+1);
	    return word;
	}
	++ll;
    }
}

char x2c(char *what) {
    register char digit;

    digit = (what[0] >= 'A' ? ((what[0] & 0xdf) - 'A')+10 : (what[0] - '0'));
    digit *= 16;
    digit += (what[1] >= 'A' ? ((what[1] & 0xdf) - 'A')+10 : (what[1] - '0'));
    return(digit);
}

void unescape_url(char *url) {
    register int x,y;

    for(x=0,y=0;url[y];++x,++y) {
	if((url[x] = url[y]) == '%') {
	    url[x] = x2c(&url[y+1]);
	    y+=2;
	}
    }
    url[x] = '\0';
}

void plustospace(char *str) {
    register int x;

    for(x=0;str[x];x++) if(str[x] == '+') str[x] = ' ';
}

int rind(char *s, char c) {
    register int x;
    for(x=strlen(s) - 1;x != -1; x--)
	if(s[x] == c) return x;
    return -1;
}

int getline(char *s, int n, FILE *f) {
    register int i=0;

    while(1) {
	s[i] = (char)fgetc(f);

	if(s[i] == CR)
	    s[i] = fgetc(f);

	if((s[i] == 0x4) || (s[i] == LF) || (i == (n-1))) {
	    s[i] = '\0';
	    return (feof(f) ? 1 : 0);
	}
	++i;
    }
}

void send_fd(FILE *f, FILE *fd)
{
    char c;

    while (1) {
	c = fgetc(f);
	if(feof(f))
	    return;
	fputc(c,fd);
    }
}

int ind(char *s, char c) {
    register int x;

    for(x=0;s[x];x++)
	if(s[x] == c) return x;

    return -1;
}

void escape_shell_cmd(char *cmd) {
    register int x,y,l;

    l=strlen(cmd);
    for(x=0;cmd[x];x++) {
	if(ind("&;`'\"|*?~<>^()[]{}$\\\x0A",cmd[x]) != -1){
	    for(y=l+1;y>x;y--)
		cmd[y] = cmd[y-1];
	    l++; /* length has been increased */
	    cmd[x] = '\\';
	    x++; /* skip the character */
	}
    }
}

char *PrintCurr(double curval)
{
 char tbuf[25];
 int i = 0, j = 0, spsnum;

 sprintf(tbuf, "%.2f", curval);
 spsnum = strlen(tbuf) % 3;
 if(spsnum == 0) spsnum = 3;

 while(i < strlen(tbuf))
 {
  curbuff[j] = tbuf[i++];
  spsnum--;
  if(spsnum == 0)
   if(tbuf[i] != 46)
   {
    j++;
    curbuff[j] = 32;
    spsnum = 3;
   }
  j++;
 }
 curbuff[j] = 0;

 return curbuff;
}

char *PrintCurrStr(char *curstr)
{
 char tbuf[25];
 int i = 0, j = 0, spsnum;

 strcpy(tbuf, curstr);
 spsnum = strlen(tbuf) % 3;
 if(spsnum == 0) spsnum = 3;

 while(i < strlen(tbuf))
 {
  curbuff[j] = tbuf[i++];
  spsnum--;
  if(spsnum == 0)
   if(tbuf[i] != 46)
   {
    j++;
    curbuff[j] = 32;
    spsnum = 3;
   }
  j++;
 }
 curbuff[j] = 0;

 return curbuff;
}


int getvalget(entry_get *pent, char *parnam)
{
 int x;

 for(x = 0; x < MAX_ENTRIES; x++) if(strcmp(pent[x].name, parnam) == 0) return x;
 return -1;
}

int getvalpost(entry_post *pent, char *parnam)
{
 int x;

 for(x = 0; x < MAX_ENTRIES; x++) if(strcmp(pent[x].name, parnam) == 0) return x;
 return -1;
}


int print_html_head(char *title)
{
	printf ("<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"
			"<html>\n\n<head>\n"
			"\t<meta content=\"text/html;>\n"
			"\t\t<title>%s</title>\n"
			"\t\t<meta content=\"Morsov\" name=\"author\">\n"
			"\t\t<link href=\"/main.css\" rel=\"stylesheet\" type=\"text/css\">\n"
			"\t</head>\n\n", title);
}

int print_common_header()
{
	printf ("<body link=\"#005555\" vlink=\"#005555\" alink=\"#005555\" bgcolor=\"#ffffff\">\n"
		"<center>\n"
		"<TABLE border=0 cellpadding=0 cellspacing=0 width=640>\n"
		"<!-- Title -->\n"
		"<tr><td>\n"
		"<TABLE border=0 cellpadding=0 cellspacing=0 width=640>\n"
		"<tr><td rowspan=4><img src=\"/images/rtlogo0.gif\" width=75 "
		"height=64 border=0 alt=\"Ricom-Trust Logo\"></td>\n"
		"<td colspan=2><img src=\"/images/line.gif\" width=565 height=3 border=0></td></tr>\n"
		"<tr><td colspan=2><img src=\"/images/pixel.gif\" width=565 height=10 border=0></td></tr>\n"
		"<tr><td rowspan=2 valign=top><img src=\"/images/rtrust.gif\" "
		"width=280 height=34 border=0 alt=\"-\"></td>\n"
		"<td valign=top align=right><img src=\"/images/invcomp.gif\" "
		"width=284 height=24 border=0 alt=\" \"></td>\n"
		"<!-- Toolbar -->\n"
		"<tr><td align=right valign=top>\n"
		"<TABLE border=0 CELLSPACING=0 CELLPADDING=0 BGCOLOR=#99cccc>\n"
		"<tr><td bgcolor=black colspan=5><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1"
		" BORDER=0 ALT=\"\"></td></tr>\n"
		"<tr><td bgcolor=black width=1><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\"></td>\n"
		"<td><a href=\"/RicomTrust/ShowMessages\"><font class=toolbar>&nbsp;&nbsp;&nbsp;"
		"&nbsp;</FONT></a></td>\n"
		"<td><a href=\"/sitemap.html\"><font class=toolbar>|&nbsp;&nbsp; &nbsp;&nbsp;</FONT></a></td>\n"
		"<td><a href=\"/english/\"><font class=toolbar>|&nbsp;&nbsp;English&nbsp;&nbsp;</FONT></a></td>\n"
		"<td bgcolor=black width=1><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\"></td></tr>\n"
		"<tr><td bgcolor=black colspan=5><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0"
		" ALT=\"\"></td></tr>\n"
		"</TABLE>\n"
		"</td></tr>\n"
		"</TABLE></td></tr>\n"
		"<!-- Menubar -->\n"
		"<tr><td>\n"
		"<TABLE WIDTH=640 BORDER=0 CELLSPACING=0 CELLPADDING=0 id=remove>\n"
		"<tr><td colspan=2 bgcolor=#7C7C7C>\n"
		"<img src=\"/images/pixel.gif\" width=637 height=1 alt=\"\" border=0></td></tr>\n"
		"<tr><td bgcolor=white><img src=\"/images/pixel.gif\" width=636 height=1 alt=\"\" border=0></td>\n"
		"<td bgcolor=#7c7c7c><img src=\"/images/pixel.gif\" alt=\"\" width=1 height=1  border=0></td></tr>\n"
		"<tr><td colspan=2>\n"
		"<TABLE width=640 border=0 cellpadding=0 cellspacing=0 bgcolor=#333333><tr align=center>\n"
		"<td WIDTH=1 BGCOLOR=#7c7c7c><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td WIDTH=1 BGCOLOR=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/index.shtml\"><font class=menubar></font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/services.html\"><font class=menubar></font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/ishop/index.shtml\"><font class=menubar>i-</font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/RicomTrust/quotes\"><font class=menubar></font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/analit.shtml\"><font class=menubar></font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/links.html\"><font class=menubar></font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=91 class=menubar><a href=\"/RicomTrust/guestbook\"><font class=menubar></font></A></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
		"</tr>\n"
		"</TABLE>\n"
		"</td></tr>\n"
		"<tr><td bgcolor=#000000 colspan=2><img src=\"/images/pixel.gif\" width=640"
		" height=1  border=0 alt=\"\"></td></tr>\n"
		"<tr><td bgcolor=#000000 colspan=2><img src=\"/images/pixel.gif\" width=640"
		" height=1  border=0 alt=\"\"></td>\n"
		"</tr></TABLE></td></tr>\n"
		"<!-- i-shop -->\n"
		"<tr><td>\n"
		"<form action=\"https://www.ricom.ru/RicomTrust/InternetShop\" method=POST>\n"
		"<TABLE border=0 cellpadding=0 cellspacing=0 width=640 bgcolor=#ffffff>\n"
		"<tr>\n"
		"<td><img src=\"/images/pixel.gif\" width=105 height=1 border=0 alt=\"\"></td>\n"
		"<td><img src=\"/images/pixel.gif\" width=70  height=1 border=0 alt=\"\"></td>\n"
		"<td><img src=\"/images/pixel.gif\" width=100 height=1 border=0 alt=\"\"></td>\n"
		"<td><img src=\"/images/pixel.gif\" width=65  height=1 border=0 alt=\"\"></td>\n"
		"<td><img src=\"/images/pixel.gif\" width=102 height=1 border=0 alt=\"\"></td>\n"
		"<td><img src=\"/images/pixel.gif\" width=38  height=1 border=0 alt=\"\"></td>\n"
		"</tr>\n"
		"<tr><td class=loginbig align=left>&nbsp;&nbsp;-</td>\n"
		"<td align=right class=login>&nbsp;:&nbsp;&nbsp;</td>\n"
		"<td><input type=text name=number size=10></td>\n"
		"<td align=right class=login>:&nbsp;&nbsp;</td>\n"
		"<td><input type=password name=passwd size=10></td>\n"
		"<td align=right>\n"
		"<input type=image name=Logon src=\"/images/buttonlog.gif\" width=66 height=25 border=0 alt=\"\">\n"
		"</td></tr>\n"
		"<tr><td colspan=6><img src=\"/images/line.gif\" width=640 height=3 border=0></td></tr>\n"
		"<tr><td colspan=6><img src=\"/images/pixel.gif\" width=640 height=5 border=0></td></tr>\n"
		"</TABLE>\n"
		"</form>\n"
		"</td></tr>\n"
		"<tr><td><img src=\"/images/pixel.gif\" width=640 height=5 border=0></td></tr>\n"
		"<tr><td>\n"
		"<!--***beg h r 2 -->\n"
		"<table border=0 cellpadding=0 cellspacing=0 width=640><tr>\n"
		"<td bgcolor=#ffffff class=gen>\n");
}

int print_common_footer()
{
	printf ("<BR></td></tr></table>\n"
			"<!--***end -->\n"
			"</td></tr>\n"
			"<tr><td><img src=\"/images/pixel.gif\" width=640 height=8 border=0></td></tr>\n"
			"<!-- Menubar -->\n"
			"<tr><td>\n"
			"<TABLE WIDTH=640 BORDER=0 CELLSPACING=0 CELLPADDING=0 id=remove>\n"
			"<tr align=center>\n"
			"<td width=91 class=menubar><a href=\"/index.shtml\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=91 class=menubar><a href=\"/services.html\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=91 class=menubar><a href=\"/ishop/index.shtml\"><font"
			" class=menubar>i-</font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=91 class=menubar><a href=\"/RicomTrust/quotes\"><font"
			" class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15"
			" border=0 alt=\"\"></td>\n"
			"<td width=91 class=menubar><a href=\"/analit.shtml\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1"
			" height=15  border=0 alt=\"\"></td>\n"
			"<td width=91 class=menubar><a href=\"/links.html\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=91 class=menubar><a href=\"/RicomTrust/guestbook\"><font"
			" class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15"
			" border=0 alt=\"\"></td>\n"
			"</tr></TABLE></td></tr>\n"
			"</TABLE>\n"
			"</center>\n");
}


print_common_800_header()
{
	printf ("\n\n<!-- common header for 800px page -->\n"
			"<body link=\"#005555\" vlink=\"#005555\" alink=\"#005555\" bgcolor=\"#ffffff\">\n"
			"<center>\n"
			"<TABLE border=0 cellpadding=0 cellspacing=0 width=800>\n"
			"<!-- Title -->\n"
			"<tr><td>\n"
			"<TABLE border=0 cellpadding=0 cellspacing=0 width=800>\n"
			"<tr><td rowspan=4><img src=\"/images/rtlogo0.gif\" "
			"width=75 height=64 border=\"0\" alt=\"Ricom-Trust Logo\"></td>\n"
			"<td colspan=2><img src=\"/images/line.gif\" width=725 height=3 border=0></td></tr>\n"
			"<tr><td colspan=2><img src=\"/images/pixel.gif\" width=725 height=10 border=0></td></tr>\n"
			"<tr><td rowspan=2 valign=top><img src=\"/images/rtrust.gif\" width=280 "
			"height=34 border=\"0\" alt=\"-\"></td>\n"
			"<td valign=top align=right><img src=\"/images/invcomp800.gif\" width=425 height=24 "
			"border=\"0\" alt=\" \"></td>\n"
			"<!-- Toolbar -->\n"
			"<tr><td align=right valign=top>\n"
			"<TABLE border=0 CELLSPACING=\"0\" CELLPADDING=\"0\" BGCOLOR=\"99cccc\">\n"
			"<tr><td bgcolor=black colspan=5><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 "
			"BORDER=0 ALT=\"\"></td></tr>\n"
			"<tr><td bgcolor=black width=1><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\">"
			"</td>\n"
			"<td><a href=\"/RicomTrust/ShowMessages\">\n"
			"<font class=toolbar>&nbsp;&nbsp;&nbsp;&nbsp;</FONT></a></td>\n"
			"<td><a href=\"/sitemap.html\"><font class=toolbar>|&nbsp;&nbsp;"
			" &nbsp;&nbsp;</FONT></a></td>\n"
			"<td><a href=\"/english/\"><font class=toolbar>|&nbsp;&nbsp;English&nbsp;&nbsp;</FONT></a></td>\n"
			"<td bgcolor=black width=1><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\">"
			"</td></tr>\n"
			"<tr><td bgcolor=blue colspan=5><img src=\"/images/pixel.gif\" WIDTH=1 HEIGHT=1 BORDER=0 ALT=\"\">"
			"</td></tr>\n"
			"</TABLE>\n"
			"</td></tr>\n"
			"</TABLE></td></tr>\n"
			"<!-- Menubar -->\n"
			"<tr><td>\n"
			"<TABLE WIDTH=800 BORDER=0 CELLSPACING=0 CELLPADDING=0 id=remove>\n"
			"<tr><td colspan=2 bgcolor=#7C7C7C>\n"
			"<img src=\"/images/pixel.gif\" width=637 height=1 alt=\"\" border=\"0\"></td></tr>\n"
			"<tr><td bgcolor=white><img src=\"/images/pixel.gif\" width=636 height=1 alt=\"\" border=\"0\"></td>\n"
			"<td bgcolor=#7c7c7c><img src=\"/images/pixel.gif\" alt=\"\" width=1 height=1  border=\"0\">"
			"</td></tr>\n"
			"<tr><td colspan=2>\n"
			"<TABLE width=800 border=0 cellpadding=0 cellspacing=0 bgcolor=#333333><tr align=center>\n"
			"<td WIDTH=\"1\" BGCOLOR=\"#7c7c7c\"><img src=\"/images/pixel.gif\" "
			"width=1 height=15  border=\"0\" alt=\"\"></td>\n"
			"<td WIDTH=\"1\" BGCOLOR=\"#ffffff\"><img src=\"/images/pixel.gif\" width=1 "
			"height=15  border=\"0\" alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/index.shtml\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/services.html\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/ishop/index.shtml\"><font class=menubar>i-</font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/RicomTrust/quotes\"><font class=menubar></font>\n"
			"</A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubarOn><a href=\"/analit.shtml\"><font class=menubarOn></font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/links.html\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/RicomTrust/guestbook\"><font class=menubar></font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=1 bgcolor=#000000><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"</tr>\n"
			"</TABLE>\n"
			"</td></tr>\n"
			"<tr><td bgcolor=#000000 colspan=2><img src=\"/images/pixel.gif\" width=800 height=1\n"
			" border=\"0\" alt=\"\"></td></tr>\n"
			"<tr><td bgcolor=#000000 colspan=2><img src=\"/images/pixel.gif\" width=800 height=1 "
			"border=\"0\" alt=\"\"></td>\n"
			"</tr></TABLE></td></tr>\n"
			"<!-- i-shop -->\n"
			"<tr><td>\n"
			"<form action=\"https://www.ricom.ru/RicomTrust/InternetShop\" method=POST>\n"
			"<TABLE border=0 cellpadding=0 cellspacing=0 width=800 bgcolor=\"#ffffff\">\n"
			"<tr>\n"
			"<td><img src=\"/images/pixel.gif\" width=\"105\" height=\"1\" border=\"0\" alt=\"\"></td>\n"
			"<td><img src=\"/images/pixel.gif\" width=\"70\"  height=\"1\" border=\"0\" alt=\"\"></td>\n"
			"<td><img src=\"/images/pixel.gif\" width=\"100\" height=\"1\" border=\"0\" alt=\"\"></td>\n"
			"<td><img src=\"/images/pixel.gif\" width=\"65\"  height=\"1\" border=\"0\" alt=\"\"></td>\n"
			"<td><img src=\"/images/pixel.gif\" width=\"102\" height=\"1\" border=\"0\" alt=\"\"></td>\n"
			"<td><img src=\"/images/pixel.gif\" width=\"38\"  height=\"1\" border=\"0\" alt=\"\"></td>\n"
			"</tr>\n"
			"<tr><td class=loginbig align=left>&nbsp;&nbsp;-</td>\n"
			"<td align=right class=login>&nbsp;:&nbsp;&nbsp;</td>\n"
			"<td align=left><input type=text name=number size=10>&nbsp;</td>\n"
			"<td align=right class=login>:&nbsp;&nbsp;</td>\n"
			"<td align=left><input type=password name=passwd size=10></td>\n"
			"<td align=right colspan=2>\n"
			"<input type=image name=Logon src=\"/images/buttonlog.gif\" width=66 height=25 border=0 alt=\"\">\n"
			"</td>\n"
			"</tr>\n"
			"<tr><td colspan=6><img src=\"/images/line.gif\" width=\"800\" height=\"3\" border=\"0\"></td></tr>\n"
			"<tr><td colspan=6><img src=\"/images/pixel.gif\" width=\"800\" height=\"5\" border=\"0\"></td></tr>\n"
			"</TABLE>\n"
			"</form>\n"
			"</td></tr>\n"
			"<tr><td><img src=\"/images/pixel.gif\" width=800 height=5 border=0></td></tr>\n"
			"<tr><td>\n"
			"<!-- end of common height for 800px pages -->\n\n"
			"<!-- BEGIN OF PAGE -->\n\n");
}


print_common_800_footer()
{
	printf ("\n<!-- END OF PAGE -->\n\n<!-- common footer for 800px pages -->\n"
			"<tr><td>\n"
			"<TABLE WIDTH=800 BORDER=0 CELLSPACING=0 CELLPADDING=0 id=remove>\n"
			"<tr align=center>\n"
			"<td width=114 class=menubar><a href=\"/index.shtml\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/services.html\"><font class=menubar></font></A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\">"
			"</td>\n"
			"<td width=114 class=menubar><a href=\"/ishop/index.shtml\"><font class=menubar>i-</font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\">"
			"</td>\n"
			"<td width=114 class=menubar><a href=\"/RicomTrust/quotes\"><font class=menubar></font></A>"
			"</td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 "
			"alt=\"\"></td>\n"
			"<td width=114 class=menubarOn><a href=\"/analit.shtml\"><font class=menubarOn></font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 "
			"alt=\"\"></td>\n"
			"<td width=114 class=menubar><a href=\"/links.html\"><font class=menubar></font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 alt=\"\">"
			"</td>\n"
			"<td width=114 class=menubar><a href=\"/RicomTrust/guestbook\"><font class=menubar></font>"
			"</A></td>\n"
			"<td width=1 bgcolor=#ffffff><img src=\"/images/pixel.gif\" width=1 height=15  border=0 "
			"alt=\"\"></td>\n"
			"</tr></TABLE></td></tr>\n"
			"</TABLE>\n"
			"</center>\n");
}

void errormsg (char *message, int footer)
{
	print_html_head("");
	printf ("<br><br><center><font color=red weigth=bold><h2>%s</h2></font></center><br><br>", message);
	if ( footer == 640 )
		print_common_footer();
	if ( footer == 800 )
		print_common_800_footer();
	exit(101);
}

void dberrormsg(MYSQL *conn, int footer)
{
	sprintf(MsgText, "  %d: %s", mysql_errno(conn), mysql_error(conn));
	mysql_close(conn);
	errormsg(MsgText, footer);
}

void dateselector()
{
	int i;
	int isdst, lastday;
	time_t t;
	struct tm *tp;
	int current_year, current_month, current_day;
	char strnum[3];
	
	//   
	time(&t);
	tp=localtime(&t);
	current_day = tp->tm_mday;
	current_month = tp->tm_mon+1;
	current_year = tp->tm_year+1900;
	isdst = tp->tm_isdst;

	//  
	printf ("<select name=day>\n");
/*	if ( current_month == 2 ) {
		if ( isdst > 0 ) lastday = 29;
		else lastday = 28;
	}
	if ( current_month == 4 || current_month == 6 || current_month == 9 || current_month == 11 )
		lastday = 30;
	else 
		lastday = 31;*/
	
	for ( i=31; i>0; i-- ) {
		if ( i < 10 ) sprintf (strnum, "0%d", i);
		else sprintf (strnum, "%d", i);
		if ( i == current_day )
			printf ("\t<option value=%d selected>%s</option>\n", i, strnum);
		else
			printf ("\t<option value=%d>%s</option>\n", i, strnum);
	}
	printf ("</select>\n");

	//  
	printf ("<select name=month>\n");
	for ( i=12; i>0; i-- ) {
		if ( i < 10 ) sprintf (strnum, "0%d", i);
		else sprintf (strnum, "%d", i);
		if ( i == current_month )
			printf ("\t<option value=%d selected>%s</option>\n", i, strnum);
		else 
			printf ("\t<option value=%d>%s</option>\n", i, strnum);
	}
	printf ("</select>\n");

	//  
	printf ("<select name=year>\n");
	for ( i=current_year; i>current_year-10; i-- ) {
		if ( i == current_year )
			printf ("\t<option value=%d selected>%d</option>\n", i, i);
		else 
			printf ("\t<option value=%d>%d</option>\n", i, i);
	}
	printf ("</select>\n");
}
