#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include "common.h"

char curbuff[25], date_buff[12], time_buff[10];

char *sql2rusdate(char *buf)
{
	char *curbuff = (char *) malloc(sizeof(char) * (strlen(buf)+1));

	curbuff[0] = buf[8];
	curbuff[1] = buf[9];
	curbuff[2] = 46;
	curbuff[3] = buf[5];
	curbuff[4] = buf[6];
	curbuff[5] = 46;
	curbuff[6] = buf[0];
	curbuff[7] = buf[1];
	curbuff[8] = buf[2];
	curbuff[9] = buf[3];
	curbuff[10] = 0;
	
	return curbuff;
}

char *rus2sqldate(char *buf)
{
	char *curbuff = (char *) malloc(sizeof(char) * (strlen(buf)+1));

	curbuff[0] = buf[6];
	curbuff[1] = buf[7];
	curbuff[2] = buf[8];
	curbuff[3] = buf[9];
	curbuff[4] = 45;
	curbuff[5] = buf[3];
	curbuff[6] = buf[4];
	curbuff[7] = 45;
	curbuff[8] = buf[0];
	curbuff[9] = buf[1];
	curbuff[10] = 0;
		
	return curbuff;
}



char *format_char_number(char *number)
{
	int integer_length, i, j, flag=0;
	int space_number;
	int int_size, frac_size;

	for ( i=0; i<strlen(number); i++ )
		if ( number[i] == 46 )
			integer_length=i;

	if ( integer_length <= 3 ) {
		return number;
	}

	space_number=(integer_length)/3;

	int_size=integer_length+space_number+1;
	frac_size=strlen(number)-integer_length;

	char *integer = (char *) malloc(sizeof(char) * int_size);
	j=int_size-2;
	for ( i=integer_length-1; i>=0; i-- ) {
		if ( flag == 3 ) {
			integer[j]=32;
			j--;
			flag=0;
		}
		integer[j]=number[i];
		flag++;
		j--;
	}

	char *fraction = (char *) malloc(sizeof(char) * frac_size);
	j=frac_size-2;
	for ( i=strlen(number)-1; i>integer_length; i-- )
		fraction[j--]=number[i];

	integer[int_size-1]=0;
	fraction[frac_size-1]=0;

	char *result = (char *) malloc(sizeof(char) * (frac_size+int_size+2));
	sprintf(result, "%s.%s", integer, fraction);

	free(integer);
	free(fraction);

	return result;
}


char *get_datetime(int type)
{
	time_t t = time(NULL);
	struct tm *tm=localtime(&t);
	char *time_string = (char *) malloc(sizeof(char) * 19);
	
	if ( type == SQLDATE ) strftime(time_string, STRING_LENGTH, "%Y/%m/%d", tm);
	if ( type == RUSDATE ) strftime(time_string, STRING_LENGTH, "%d.%m.%Y", tm);
	if ( type == SQLDTIME ) strftime(time_string, STRING_LENGTH, "%Y/%m/%d %H:%M:%S", tm);
	if ( type == RUSDTIME ) strftime(time_string, STRING_LENGTH, "%d.%m.%Y %H:%M:%S", tm);
	
	return time_string;
}


int format_double(double curval, char *curbuff)
{
	char tbuf[25];
	int i = 0, j = 0, spsnum;

	sprintf(tbuf, "%.2f", curval);
	spsnum = strlen(tbuf) % 3;

	if(spsnum == 0) spsnum = 3;


	while(i < strlen(tbuf))
	{
		curbuff[j] = tbuf[i++];
		spsnum--;
		if(spsnum == 0)
			if(tbuf[i] != 46)	{
				j++;
				curbuff[j] = 32;
				spsnum = 3;
			}
		j++;
	}
	curbuff[j] = 0;
}

int send_mail(char *from, char *to, char *subj, char *text, char *file)
{
	char cmd[STRING_LENGTH];
	FILE *tmp;
	int code;
	
	if ( (tmp=fopen(TMPMAIL, "w")) == NULL )
		return 301;

			
	//     ?
	if ( file == NULL ) {
		fprintf(tmp, "From: %s\n"
				"To: %s\n"
				"Reply-To: %s\n"
				"Subject: %s\n"
				"MIME-Version: 1.0\n"
				"Content-Type: text/plain; charset=koi8-r\n"
				"Content-Transfer-Encoding: 8bit\n\n%s\n", from, to, from, subj, text);
		fclose(tmp);
		sprintf(cmd,"/usr/sbin/sendmail -t < %s", TMPMAIL);
		code=system(cmd);
		return code;
	} else {
	}
}


char *exdatepart(char *date, int type)
{
	char *buf;

	if ( type == DDAY ) {
		char *buf = (char *) malloc(sizeof(char) * (3));
		buf[0]=date[8];
		buf[1]=date[9];
		buf[3]=0;
		return buf;
	}
	if ( type == DMONTH ) {
		char *buf = (char *) malloc(sizeof(char) * (3));
		buf[0]=date[5];
		buf[1]=date[6];
		buf[3]=0;
		return buf;
	}
	if ( type == DYEAR ) {
		char *buf = (char *) malloc(sizeof(char) * (5));
		buf[0]=date[0];
		buf[1]=date[1];
		buf[2]=date[2];
		buf[3]=date[3];
		buf[4]=0;
		return buf;
	}

	return NULL;
}
